Package org.eclipse.lemminx.xpath.matcher

## Class AbstractXPathNodeMatcher

- java.lang.Object
- - org.eclipse.lemminx.xpath.matcher.AbstractXPathNodeMatcher

All Implemented Interfaces:
  `IXPathNodeMatcher`

Direct Known Subclasses:
  `XPathAttributeMatcher`, `XPathAttributeNameMatcher`, `XPathElementMatcher`, `XPathTextMatcher`

    public abstract class AbstractXPathNodeMatcher
    extends Object
    implements IXPathNodeMatcher

Abstract class for XPath node matcher.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.lemminx.xpath.matcher.IXPathNodeMatcher

`IXPathNodeMatcher.MatcherType`

### Field Summary

### Fields inherited from interface org.eclipse.lemminx.xpath.matcher.IXPathNodeMatcher

`EMPTY_NODE_MATCHER`

### Constructor Summary

Constructors
`AbstractXPathNodeMatcher​(XPathMatcher ownerMatcher)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XPathMatcher` `getOwnerMatcher()` Returns the owner matcher.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.xpath.matcher.IXPathNodeMatcher

`getType, isAny, match`

### Constructor Detail

#### AbstractXPathNodeMatcher

    public AbstractXPathNodeMatcher​(XPathMatcher ownerMatcher)

### Method Detail

#### getOwnerMatcher

    public XPathMatcher getOwnerMatcher()

Description copied from interface: `IXPathNodeMatcher`
Returns the owner matcher.

Specified by:
  `getOwnerMatcher` in interface `IXPathNodeMatcher`
Returns: